aws-0.24.4: Amazon Web Services (AWS) for Haskell

Safe Haskell | None
Language | Haskell2010

Aws.Iam.Commands.CreateGroup

Synopsis

- data CreateGroup = CreateGroup {
  - cgGroupName :: Text
  - cgPath :: Maybe Text
  }
- data CreateGroupResponse = CreateGroupResponse Group
- data Group = Group {
  - groupArn :: Text
  - groupCreateDate :: UTCTime
  - groupPath :: Text
  - groupGroupId :: Text
  - groupGroupName :: Text
  }

# Documentation

data CreateGroup #

Creates a new group.

http://docs.aws.amazon.com/IAM/latest/APIReference/API_CreateGroup.html

Constructors

CreateGroup |

Fields

- cgGroupName :: Text

  Name of the new group

- cgPath :: Maybe Text

  Path under which the group will be created. Defaults to `/` if omitted.

#### Instances

Instances details

SignQuery CreateGroup # |

Instance details

Defined in Aws.Iam.Commands.CreateGroup

Associated Types

type ServiceConfiguration CreateGroup |
Instance details Defined in Aws.Iam.Commands.CreateGroup type ServiceConfiguration CreateGroup = IamConfiguration

Methods

signQuery :: CreateGroup -> ServiceConfiguration CreateGroup queryType -> SignatureData -> SignedQuery #

Show CreateGroup # |
Instance details Defined in Aws.Iam.Commands.CreateGroup Methods showsPrec :: Int -> CreateGroup -> ShowS # show :: CreateGroup -> String # showList :: [CreateGroup] -> ShowS #
Eq CreateGroup # |
Instance details Defined in Aws.Iam.Commands.CreateGroup Methods (==) :: CreateGroup -> CreateGroup -> Bool # (/=) :: CreateGroup -> CreateGroup -> Bool #
Ord CreateGroup # |
Instance details Defined in Aws.Iam.Commands.CreateGroup Methods compare :: CreateGroup -> CreateGroup -> Ordering # (<) :: CreateGroup -> CreateGroup -> Bool # (<=) :: CreateGroup -> CreateGroup -> Bool # (>) :: CreateGroup -> CreateGroup -> Bool # (>=) :: CreateGroup -> CreateGroup -> Bool # max :: CreateGroup -> CreateGroup -> CreateGroup # min :: CreateGroup -> CreateGroup -> CreateGroup #
ResponseConsumer CreateGroup CreateGroupResponse # |

Instance details

Defined in Aws.Iam.Commands.CreateGroup

Associated Types

type ResponseMetadata CreateGroupResponse |
Instance details Defined in Aws.Iam.Commands.CreateGroup type ResponseMetadata CreateGroupResponse = IamMetadata

Methods

responseConsumer :: Request -> CreateGroup -> IORef (ResponseMetadata CreateGroupResponse) -> HTTPResponseConsumer CreateGroupResponse #

Transaction CreateGroup CreateGroupResponse # |
Instance details Defined in Aws.Iam.Commands.CreateGroup
type ServiceConfiguration CreateGroup # |
Instance details Defined in Aws.Iam.Commands.CreateGroup type ServiceConfiguration CreateGroup = IamConfiguration

data CreateGroupResponse #

Constructors

CreateGroupResponse Group |

#### Instances

Instances details

AsMemoryResponse CreateGroupResponse # |

Instance details

Defined in Aws.Iam.Commands.CreateGroup

Associated Types

type MemoryResponse CreateGroupResponse |
Instance details Defined in Aws.Iam.Commands.CreateGroup type MemoryResponse CreateGroupResponse = CreateGroupResponse

Methods

loadToMemory :: CreateGroupResponse -> ResourceT IO (MemoryResponse CreateGroupResponse) #

Show CreateGroupResponse # |
Instance details Defined in Aws.Iam.Commands.CreateGroup Methods showsPrec :: Int -> CreateGroupResponse -> ShowS # show :: CreateGroupResponse -> String # showList :: [CreateGroupResponse] -> ShowS #
Eq CreateGroupResponse # |
Instance details Defined in Aws.Iam.Commands.CreateGroup Methods (==) :: CreateGroupResponse -> CreateGroupResponse -> Bool # (/=) :: CreateGroupResponse -> CreateGroupResponse -> Bool #
Ord CreateGroupResponse # |

Instance details

Defined in Aws.Iam.Commands.CreateGroup

Methods

compare :: CreateGroupResponse -> CreateGroupResponse -> Ordering #

(<) :: CreateGroupResponse -> CreateGroupResponse -> Bool #

(<=) :: CreateGroupResponse -> CreateGroupResponse -> Bool #

(>) :: CreateGroupResponse -> CreateGroupResponse -> Bool #

(>=) :: CreateGroupResponse -> CreateGroupResponse -> Bool #

max :: CreateGroupResponse -> CreateGroupResponse -> CreateGroupResponse #

min :: CreateGroupResponse -> CreateGroupResponse -> CreateGroupResponse #

ResponseConsumer CreateGroup CreateGroupResponse # |

Instance details

Defined in Aws.Iam.Commands.CreateGroup

Associated Types

type ResponseMetadata CreateGroupResponse |
Instance details Defined in Aws.Iam.Commands.CreateGroup type ResponseMetadata CreateGroupResponse = IamMetadata

Methods

responseConsumer :: Request -> CreateGroup -> IORef (ResponseMetadata CreateGroupResponse) -> HTTPResponseConsumer CreateGroupResponse #

Transaction CreateGroup CreateGroupResponse # |
Instance details Defined in Aws.Iam.Commands.CreateGroup
type MemoryResponse CreateGroupResponse # |
Instance details Defined in Aws.Iam.Commands.CreateGroup type MemoryResponse CreateGroupResponse = CreateGroupResponse
type ResponseMetadata CreateGroupResponse # |
Instance details Defined in Aws.Iam.Commands.CreateGroup type ResponseMetadata CreateGroupResponse = IamMetadata

data Group #

The IAM `Group` data type.

http://docs.aws.amazon.com/IAM/latest/APIReference/API_Group.html

Constructors

Group |

Fields

- groupArn :: Text

  ARN used to refer to this group.

- groupCreateDate :: UTCTime

  Date and time at which the group was created.

- groupPath :: Text

  Path under which the group was created.

- groupGroupId :: Text

  Unique identifier used to refer to this group.

- groupGroupName :: Text

  Name of the group.

#### Instances

Instances details

Show Group # |
Instance details Defined in Aws.Iam.Core Methods showsPrec :: Int -> Group -> ShowS # show :: Group -> String # showList :: [Group] -> ShowS #
Eq Group # |
Instance details Defined in Aws.Iam.Core Methods (==) :: Group -> Group -> Bool # (/=) :: Group -> Group -> Bool #
Ord Group # |
Instance details Defined in Aws.Iam.Core Methods compare :: Group -> Group -> Ordering # (<) :: Group -> Group -> Bool # (<=) :: Group -> Group -> Bool # (>) :: Group -> Group -> Bool # (>=) :: Group -> Group -> Bool # max :: Group -> Group -> Group # min :: Group -> Group -> Group #